Subject: Re: [BEHAVE] STUN -> Session Traversal Underneath NAT

From: "Rohan Mahy" <[email-masked]>
Date: Wed, 6 Dec 2006 16:54:53 -0800

I like Hisham's choices, especially:

Session Traversal through Ubiquitous NATs

thanks,
-rohan

On 11/30/06, Hisham Khartabil <[email-masked]> wrote:
> Session Traversal for Users of NAT
> Session Traversal through Ubiquitous NATs
>
> For the S, you can also use Sophisticated or Smooth, but maybe not
> Simple ;)
>
> Hisham
>
> On Nov 29, 2006, at 9:36 PM, Philip Matthews wrote:
>
> > If we are going to do this, then I would prefer "Session Traversal
> > through NAT".
> > I don't see how "underneath" is really appropriate either.
> > No one talks about sending a packet or a media session "underneath" a
> > NAT.
> >
> > - Philip
> >
> > On 28-Nov-06, at 12:53 , Pete Cordell wrote:
> >
> >> I jested before, but the more I think about it, the more I find the
> >> 'simple' in the STUN name irksome.
> >>
> >> STUN now is really (potentially) STUN + TURN of old.  I don't see how
> >> that combination can be called simple.  Granted, it's not hugely
> >> complex, but it is not HTTP 0.9 either!  Between the two of them
> >> there are 14 different types of message and 24 different attributes.
> >>
> >> Further, STUN on it's own isn't much good.  In reality the STUN base
> >> specs are just the message definitions, whereas ICE is how to use
> >> those messages. Together there is 185 pages of documentation, which I
> >> don't consider to be simple.  (SIP is 269 pages and I don't think we
> >> can argue that is simple. Thus STUN + usage is of comparable
> >> complexity; to document at least.)
> >>
> >> But the thing I hate most about it though is the marketing spin feel
> >> of it! Use this and your teeth will be whiter than white and it won't
> >> cost you a penny!
> >>
> >> Actually, I think the word 'simple' should be avoided in all acronyms
> >> as a matter of policy.  Even if something starts out simple, if it's
> >> useful it gets added to and evolves into something that is no longer
> >> simple.  Is SMTP still simple?
> >>
> >> Thus, I put to the floor that the acronym for STUN should expand to:
> >>
> >>    Session Traversal Underneath NAT,
> >>
> >> and further request that statements such as "STUN is a simple ...
> >> protocol" be removed from the spec.  (Just use "STUN is a ...
> >> protocol").
> >>
> >> Pete.
> >> --
> >> =============================================
> >> Pete Cordell
> >> Tech-Know-Ware Ltd
> >> for XML to C++ data binding visit
> >> http://www.tech-know-ware.com/lmx
> >> (or http://www.xml2cpp.com)
> >> =============================================
> >>
> >>
> >>
> >> _______________________________________________
> >> Behave mailing list
> >> [email-masked]
> >> https://www1.ietf.org/mailman/listinfo/behave
> >
> >
> > _______________________________________________
> > Behave mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/behave
> >
>
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/behave
>

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave